<h1 mat-dialog-title>
  {{ data?.action == "create" ? "Create Note" : "Update Note" }}
</h1>
<div mat-dialog-content>
  <mat-form-field class="full-width" style="width: 100%">
    <mat-label>Title</mat-label>
    <input #title matInput placeholder="Title" [value]="data?.note?.title" />
  </mat-form-field>

  <mat-form-field class="full-width" style="width: 100%">
    <mat-label>Description</mat-label>
    <textarea
      #desc
      matInput
      placeholder="Description"
      [value]="data?.note?.describe"
    ></textarea>
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onSubmit(title.value, desc.value)">
    {{ data?.action == "create" ? "Create Note" : "Update Note" }}
  </button>
  <button mat-button (click)="onCloseClick()">Close</button>
</div>
